package fr.itsonus.bousoleplussbackend.infrastructure.postgres;

import fr.itsonus.bousoleplussbackend.infrastructure.postgres.models.PostgresRefreshTokenDto;
import fr.itsonus.bousoleplussbackend.infrastructure.postgres.models.PostgresUserDto;
import org.springframework.data.repository.Repository;

import java.util.Optional;

public interface RefreshTokenCachePostgresRepository extends Repository<PostgresRefreshTokenDto, Long> {

    Optional<PostgresRefreshTokenDto> findByToken(String token);

    Optional<PostgresRefreshTokenDto> findByUser(PostgresUserDto user);

    void deleteByUserId(long userId);

    PostgresRefreshTokenDto save(PostgresRefreshTokenDto refreshToken);

    void delete(PostgresRefreshTokenDto refreshToken);
}
