package fr.itsonus.bousoleplussbackend.payload.request;

import fr.itsonus.bousoleplussbackend.domain.quiz.model.Question;
import jakarta.validation.Valid;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;

import java.util.List;

public record BundleCreationRequest(@NotBlank @Length(max = 50) String label, @Valid @NotEmpty List<QuestionCreationRequest> questions) {

    public record QuestionCreationRequest(@NotEmpty @Length(max = 200) String label,
                                          @Length(max = 500) String description,
                                          @NotNull Long axeId,
                                          @NotNull Integer index) {
        public Question toQuestion() {
            return Question.builder().axeId(axeId).label(label).index(index).description(description).build();
        }
    }
}
